<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        .boton {
            background-color: cornflowerblue;
            color: white;
            font-weight: bolder;
            width: fit-content;
            margin: 10px;
            padding: 10px;
            border-radius: 20px;
            border: 2px rgb(62, 95, 158) solid;
        }

        .contenedor {
            display: flex;
            flex-wrap: wrap;
            width: 600px;
            justify-content: center;
        }

        .textorojo {
            color: red;
        }

        .negrita1 {
            font-weight: bolder;
        }

        .fondoverde {
            background-color: mediumseagreen;
        }
    </style>
</head>

<body>
    <div class="contenedor">
        <h1>PRACTICANDO CON JQUERY</h1>
        <div class="contenedor">
            <div class="boton rojo">Texto Rojo</div>
            <div class="boton negro">Texto negro</div>
            <div class="boton negrita">Añadir Negrita</div>
            <div class="boton nonegrita">Quitar Negrita</div>
            <div class="boton fverde">Poner Fondo Verde</div>
            <div class="boton nofverde">Quitar Fondo Verde</div>
        </div>
    </div>





    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>

        /*-----Resuelto en diferentes lineas------*/
        /* $('.rojo').mouseover(function () {
             $('h1').addClass("textorojo");
         });
 
         $('.negro').mouseover(function () {
             $('h1').removeClass("textorojo");
         });
 
         $('.negrita').mouseover(function () {
             $('h1').addClass("negrita1");
         });
 
         $('.nonegrita').mouseover(function () {
             $('h1').removeClass("negrita1");
         });
 
         $('.fverde').mouseover(function () {
             $('h1').addClass("fondoverde");
         });
 
         $('.nofverde').mouseover(function () {
             $('h1').removeClass("fondoverde");
         });*/


        /*-----Resuelto en una funcion con switch------*/
        /*$('div').mouseover(function () {
            switch (this.className) {
                case "boton rojo":
                    $('h1').addClass("textorojo");
                    break;

                case "boton negro":
                    $('h1').removeClass("textorojo");
                    break;

                case "boton negrita":
                    $('h1').addClass("negrita1");
                    break;

                case "boton nonegrita":
                    $('h1').removeClass("negrita1");
                    break;

                case "boton fverde":
                    $('h1').addClass("fondoverde");
                    break;

                case "boton nofverde":
                    $('h1').removeClass("fondoverde");
                    break;
            }
        });*/

        /*-----Resuelto en una funcion con HasClass------*/
        $('div').mouseover(function () {

            if ($(this).hasClass('rojo')) {
                $('h1').addClass("textorojo");
            } else if ($(this).hasClass('negro')) {
                $('h1').removeClass("textorojo");
            } else if ($(this).hasClass('negrita')) {
                $('h1').addClass("negrita1");
            } else if ($(this).hasClass('nonegrita')) {
                $('h1').removeClass("negrita1");
            } else if ($(this).hasClass('fverde')) {
                $('h1').addClass("fondoverde");
            } else if ($(this).hasClass('nofverde')) {
                $('h1').removeClass("fondoverde");
            }

        });


    </script>
</body>

</html>